Skip to content

# Class: CatalogCategory

Common.Catalog.CatalogCategory

## Hierarchy

- `TypedEventEmitter`<CatalogCategoryEvents, this>

↳ CatalogCategory

↳↳ GeneralCategory

↳↳ KubernetesClusterCategory

↳↳ WebLinkCategory

## Table of contents

### Constructors

- constructor

### Properties

- apiVersion
- kind
- metadata
- spec

### Methods

- addListener
- emit
- eventNames
- getId
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- setMaxListeners
- parseId

## Constructors

### constructor

• new CatalogCategory()

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).constructor

## Properties

### apiVersion

• `Readonly` `Abstract` apiVersion: `string`

### kind

• `Readonly` `Abstract` kind: `string`

### metadata

• `Abstract` metadata: `Object`

#### Type declaration

Name | Type
--- | ---
`icon` | `string`
`name` | `string`

### spec

• `Abstract` spec: CatalogCategorySpec

## Methods

### addListener

▸ addListener<E>(`event`, `listener`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).addListener

### emit

▸ emit<E>(`event`, ...`args`): `boolean`

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`...args` | `Arguments`<CatalogCategoryEvents[`E`]>

#### Returns

`boolean`

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).emit

### eventNames

▸ eventNames(): (`string` | `symbol`)[]

#### Returns

(`string` | `symbol`)[]

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).eventNames

### getId

▸ getId(): `string`

#### Returns

`string`

### getMaxListeners

▸ getMaxListeners(): `number`

#### Returns

`number`

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).getMaxListeners

### listenerCount

▸ listenerCount<E>(`event`): `number`

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`

#### Returns

`number`

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).listenerCount

### listeners

▸ listeners<E>(`event`): `Function`[]

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`

#### Returns

`Function`[]

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).listeners

### off

▸ off<E>(`event`, `listener`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).off

### on

▸ on<E>(`event`, `listener`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).on

### once

▸ once<E>(`event`, `listener`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).once

### prependListener

▸ prependListener<E>(`event`, `listener`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).prependListener

### prependOnceListener

▸ prependOnceListener<E>(`event`, `listener`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).prependOnceListener

### rawListeners

▸ rawListeners<E>(`event`): `Function`[]

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`

#### Returns

`Function`[]

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).rawListeners

### removeAllListeners

▸ removeAllListeners<E>(`event?`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event?` | `E`

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).removeAllListeners

### removeListener

▸ removeListener<E>(`event`, `listener`): CatalogCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).removeListener

### setMaxListeners

▸ setMaxListeners(`maxListeners`): CatalogCategory

#### Parameters

Name | Type
--- | ---
`maxListeners` | `number`

#### Returns

CatalogCategory

#### Inherited from

(EventEmitter as new () => TypedEmitter<CatalogCategoryEvents>).setMaxListeners

### parseId

▸ `Static` parseId(`id?`): `Object`

#### Parameters

Name | Type | Default value
--- | --- | ---
`id` | `string` | ""

#### Returns

`Object`

Name | Type
--- | ---
`group?` | `string`
`kind?` | `string`